View Issue Details

IDProjectCategoryView StatusLast Update
0001842SymmetricDSImprovementpublic2014-07-29 16:50
ReporterelongAssigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.6.0 
Target Version3.6.3Fixed in Version3.6.3 
Summary0001842: Additional transform variables for bsh
DescriptionAdd the TransformColumn and TransformedData objects as assigned variable fields that can be used in BeanShell scripts. The "bsh" type transform (BshColumnTransform) should assign "transformColumn" and "transformedData" variables, which contain information from sym_transform_column and sym_transform_table.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

SymmetricDS: master bdd2e92b

2014-07-28 16:33:45

erilong

Details Diff
0001842: Additional transform variables for bsh
0001842
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/io/data/transform/BshColumnTransform.java Diff File

SymmetricDS: master e94849fe

2014-07-28 21:18:09

chenson

Details Diff
0001842: Additional transform variables for bsh
0001811: Add new transform types that will put the source catalog, schema or table names into a column

0001842
mod - symmetric-assemble/src/docbook/configuration.xml Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/io/data/transform/BshColumnTransform.java Diff File
rm - symmetric-core/src/main/java/org/jumpmind/symmetric/io/data/transform/SourceCatalogNameColumnTransform.java Diff File
rm - symmetric-core/src/main/java/org/jumpmind/symmetric/io/data/transform/SourceSchemaNameColumnTransform.java Diff File
rm - symmetric-core/src/main/java/org/jumpmind/symmetric/io/data/transform/SourceTableNameColumnTransform.java Diff File
mod - symmetric-core/src/main/java/org/jumpmind/symmetric/service/impl/TransformService.java Diff File
mod - symmetric-io/src/main/java/org/jumpmind/symmetric/io/data/writer/TransformWriter.java Diff File

Issue History

Date Modified Username Field Change
2014-07-28 16:32 elong New Issue
2014-07-28 16:32 elong Status new => assigned
2014-07-28 16:32 elong Assigned To => elong
2014-07-28 16:34 elong Status assigned => resolved
2014-07-28 16:34 elong Fixed in Version => 3.6.3
2014-07-28 16:34 elong Resolution open => fixed
2014-07-28 17:00 Changeset attached => SymmetricDS trunk r8518
2014-07-28 22:00 chenson Changeset attached => SymmetricDS trunk r8523
2014-07-29 16:50 chenson Status resolved => closed
2015-07-30 21:49 chenson Changeset attached => SymmetricDS master e94849fe
2015-07-30 21:49 Changeset attached => SymmetricDS master bdd2e92b